Debian Bug report logs - #659894
RFS: minidlna/1.0.24+dfsg-1 -- lightweight DLNA/UPnP-AV server (new upstream version)

Package: sponsorship-requests; Maintainer for sponsorship-requests is Debian Mentors <package-sponsorship-requests@lists.debian.org>;

Reported by: Benoît Knecht <benoit.knecht@fsfe.org>

Date: Tue, 14 Feb 2012 16:09:02 UTC

Severity: normal

Done: Ansgar Burchardt <ansgar@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#659894; Package sponsorship-requests. (Tue, 14 Feb 2012 16:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benoît Knecht <benoit.knecht@fsfe.org>:
New Bug report received and forwarded. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Tue, 14 Feb 2012 16:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Benoît Knecht <benoit.knecht@fsfe.org>
To: submit@bugs.debian.org
Subject: RFS: minidlna-1.0.23+dfsg-1 (new upstream version)
Date: Tue, 14 Feb 2012 17:05:20 +0100
Package: sponsorship-requests
Severity: normal

Dear mentors,

I am looking for a sponsor for my package "minidlna".

 * Package name    : minidlna
   Version         : 1.0.23+dfsg-1
   Upstream Author : Justin Maggard <jmaggard@users.sourceforge.net>
 * URL             : http://sourceforge.net/projects/minidlna/
 * git             : git://gitorious.org/debian-pkg/minidlna.git
   git-web         : https://gitorious.org/debian-pkg/minidlna
 * License         : GPL-2
   Section         : net

It builds those binary packages:

minidlna   - lightweight DLNA/UPnP-AV server targeted at embedded systems

It's another new upstream version, after an unsuccessful RFS for 1.0.22+dfsg-1
(http://lists.debian.org/debian-mentors/2011/12/msg00374.html).

It fixes the following bugs:

 * http://bugs.debian.org/650328
   ('/etc/inid.d/minidlna status' always reports minidlna is not runing)
 * http://bugs.debian.org/656010
   (Memory leak in current version of Debian package - fixed in main distribution)
 * http://bugs.debian.org/659871
   (Please package 1.0.23)


To access further information about this package, please visit the following URL:

  http://mentors.debian.net/package/minidlna

Alternatively, one can download the package with dget using this command:

  dget -x http://mentors.debian.net/debian/pool/main/m/minidlna/minidlna_1.0.23+dfsg-1.dsc

I would be glad if someone uploaded this package for me.

Cheers,

-- 
Benoît Knecht




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#659894; Package sponsorship-requests. (Fri, 17 Feb 2012 18:30:59 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benoît Knecht <benoit.knecht@fsfe.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Fri, 17 Feb 2012 18:31:11 GMT) Full text and rfc822 format available.

Message #10 received at 659894@bugs.debian.org (full text, mbox):

From: Benoît Knecht <benoit.knecht@fsfe.org>
To: 659894@bugs.debian.org
Subject: Re: Bug#659894: RFS: minidlna-1.0.23+dfsg-1 (new upstream version)
Date: Fri, 17 Feb 2012 17:24:00 +0100
Benoît Knecht wrote:
>  * Package name    : minidlna
>    Version         : 1.0.23+dfsg-1
>    Upstream Author : Justin Maggard <jmaggard@users.sourceforge.net>
>  * URL             : http://sourceforge.net/projects/minidlna/
>  * git             : git://gitorious.org/debian-pkg/minidlna.git
>    git-web         : https://gitorious.org/debian-pkg/minidlna
>  * License         : GPL-2
>    Section         : net
> 
> It builds those binary packages:
> 
> minidlna   - lightweight DLNA/UPnP-AV server targeted at embedded systems

I've uploaded an updated version of my package. It fixes a mistake that
lead to the configuration file not being included in the package. It
also improves said configuration file, fixing bug#653221.
I've also implemented a few minor changes based on a conversation with
Jakub Wilk in another thread.

The updated package is available from the same URL as before:

  dget -x http://mentors.debian.net/debian/pool/main/m/minidlna/minidlna_1.0.23+dfsg-1.dsc

> It fixes the following bugs:
> 
>  * http://bugs.debian.org/650328
>    ('/etc/inid.d/minidlna status' always reports minidlna is not runing)
>  * http://bugs.debian.org/656010
>    (Memory leak in current version of Debian package - fixed in main distribution)
>  * http://bugs.debian.org/659871
>    (Please package 1.0.23)

It fixes one additional bug:

  * http://bugs.debian.org/653221
    (Does not find files after media_dir configuration change)

-- 
Benoît Knecht




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#659894; Package sponsorship-requests. (Sun, 19 Feb 2012 15:33:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benoît Knecht <benoit.knecht@fsfe.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Sun, 19 Feb 2012 15:33:13 GMT) Full text and rfc822 format available.

Message #15 received at 659894@bugs.debian.org (full text, mbox):

From: Benoît Knecht <benoit.knecht@fsfe.org>
To: 659894@bugs.debian.org
Subject: Bug#659894: RFS: minidlna/1.0.24+dfsg-1 -- lightweight DLNA/UPnP-AV server (new upstream version)
Date: Sun, 19 Feb 2012 16:28:57 +0100
retitle 659894 RFS: minidlna/1.0.24+dfsg-1 -- lightweight DLNA/UPnP-AV server (new upstream version)
thanks

Benoît Knecht wrote:
> Benoît Knecht wrote:
> >  * Package name    : minidlna
> >    Version         : 1.0.23+dfsg-1
> >    Upstream Author : Justin Maggard <jmaggard@users.sourceforge.net>
> >  * URL             : http://sourceforge.net/projects/minidlna/
> >  * git             : git://gitorious.org/debian-pkg/minidlna.git
> >    git-web         : https://gitorious.org/debian-pkg/minidlna
> >  * License         : GPL-2
> >    Section         : net
> > 
> > It builds those binary packages:
> > 
> > minidlna   - lightweight DLNA/UPnP-AV server targeted at embedded systems

A new upstream version (1.0.24) has been released, which I've packaged
and uploaded to mentors:

  dget -x http://mentors.debian.net/debian/pool/main/m/minidlna/minidlna_1.0.24+dfsg-1.dsc

Cheers,

-- 
Benoît Knecht




Changed Bug title to 'RFS: minidlna/1.0.24+dfsg-1 -- lightweight DLNA/UPnP-AV server (new upstream version)' from 'RFS: minidlna-1.0.23+dfsg-1 (new upstream version)' Request was from Benoît Knecht <benoit.knecht@fsfe.org> to control@bugs.debian.org. (Sun, 19 Feb 2012 15:33:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#659894; Package sponsorship-requests. (Sun, 26 Feb 2012 14:57:03 GMT) Full text and rfc822 format available.

Message #20 received at 659894@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: Benoît Knecht <benoit.knecht@fsfe.org>
Cc: 659894@bugs.debian.org
Subject: Re: Bug#659894: RFS: minidlna/1.0.24+dfsg-1 -- lightweight DLNA/UPnP-AV server (new upstream version)
Date: Sun, 26 Feb 2012 15:54:41 +0100
Benoît Knecht <benoit.knecht@fsfe.org> writes:
>   dget -x http://mentors.debian.net/debian/pool/main/m/minidlna/minidlna_1.0.24+dfsg-1.dsc

The package was removed due to a bug in the new debexpo version.  Could
you upload it again?

Regards,
Ansgar




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#659894; Package sponsorship-requests. (Thu, 01 Mar 2012 14:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benoît Knecht <benoit.knecht@fsfe.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Thu, 01 Mar 2012 14:57:07 GMT) Full text and rfc822 format available.

Message #25 received at 659894@bugs.debian.org (full text, mbox):

From: Benoît Knecht <benoit.knecht@fsfe.org>
To: Ansgar Burchardt <ansgar@debian.org>, 659894@bugs.debian.org
Subject: Re: Bug#659894: RFS: minidlna/1.0.24+dfsg-1 -- lightweight DLNA/UPnP-AV server (new upstream version)
Date: Thu, 1 Mar 2012 15:54:22 +0100
Hi Ansgar,

Ansgar Burchardt wrote:
> Benoît Knecht <benoit.knecht@fsfe.org> writes:
> >   dget -x http://mentors.debian.net/debian/pool/main/m/minidlna/minidlna_1.0.24+dfsg-1.dsc
> 
> The package was removed due to a bug in the new debexpo version.  Could
> you upload it again?

Right, I had not realized, thanks. I just re-uploaded it (same URL),
taking this opportunity to bump the standards version to 3.9.3 and using
debhelper 9. Here's the latest changelog entry:

  * New upstream version:
    - Fix playlist browsing with no SortOrder specified
    - Fix inotify detection of caption file removal
    - Handle an empty DeviceID from Zyxel media player SOAP request
    - Fix false positives in playlist caching optimization when we have
      duplicate file names in different directories
    - Trim the camera model name extracted from EXIF tags
    - Add support for user-configurable log level settings
    - Add DLNA.ORG_FLAGS support
  * Update the minidlna.conf(5) man page with new options
  * Update the default minidlna.conf configuration file accordingly
  * Bump Standards-Version to 3.9.3
    - Use /run instead of /var/run by default
  * Use debhelper compat 9

Cheers,

-- 
Benoît Knecht




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#659894; Package sponsorship-requests. (Thu, 01 Mar 2012 16:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benoît Knecht <benoit.knecht@fsfe.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Thu, 01 Mar 2012 16:54:07 GMT) Full text and rfc822 format available.

Message #30 received at 659894@bugs.debian.org (full text, mbox):

From: Benoît Knecht <benoit.knecht@fsfe.org>
To: 659894@bugs.debian.org
Subject: Re: Bug#659894: RFS: minidlna/1.0.24+dfsg-1 -- lightweight DLNA/UPnP-AV server (new upstream version)
Date: Thu, 1 Mar 2012 17:50:52 +0100
Benoît Knecht wrote:
> Ansgar Burchardt wrote:
> > Benoît Knecht <benoit.knecht@fsfe.org> writes:
> > >   dget -x http://mentors.debian.net/debian/pool/main/m/minidlna/minidlna_1.0.24+dfsg-1.dsc
> > 
> > The package was removed due to a bug in the new debexpo version.  Could
> > you upload it again?
> 
> Right, I had not realized, thanks. I just re-uploaded it (same URL),
> taking this opportunity to bump the standards version to 3.9.3 and using
> debhelper 9.
> 
> [...]

I just made one further small correction (still the same URL); the
changelog now reads:

  * New upstream version (Closes: #661259)
    - Fix playlist browsing with no SortOrder specified
    - Fix inotify detection of caption file removal
    - Handle an empty DeviceID from Zyxel media player SOAP request
    - Fix false positives in playlist caching optimization when we have
      duplicate file names in different directories
    - Trim the camera model name extracted from EXIF tags
    - Add support for user-configurable log level settings
    - Add DLNA.ORG_FLAGS support
  * Update the minidlna.conf(5) man page with new options
  * Update the default minidlna.conf configuration file accordingly
  * Bump Standards-Version to 3.9.3
    - Use /run instead of /var/run by default
  * Use debhelper compat 9
  * Update the DEP-5 Format URL in debian/copyright

Cheers,

-- 
Benoît Knecht




Reply sent to Ansgar Burchardt <ansgar@debian.org>:
You have taken responsibility. (Thu, 01 Mar 2012 18:54:03 GMT) Full text and rfc822 format available.

Notification sent to Benoît Knecht <benoit.knecht@fsfe.org>:
Bug acknowledged by developer. (Thu, 01 Mar 2012 18:54:03 GMT) Full text and rfc822 format available.

Message #35 received at 659894-done@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: 659894-done@bugs.debian.org
Subject: Re: Bug#659894: RFS: minidlna/1.0.24+dfsg-1 -- lightweight DLNA/UPnP-AV server (new upstream version)
Date: Thu, 01 Mar 2012 19:51:37 +0100
Hi,

motivated by the fact that you reviewed other packages on d-mentors[1], I
did take a look at this and uploaded the package.

There is one small issue you could fix in the next upload: the license
and copyright for upnphttp.h changed and now matches the one for
upnphttp.c (except for years of copyright).

Thanks for your work!

Regards,
Ansgar

[1] Yes, this is me trying to encourage others to do so as well.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 30 Mar 2012 07:38:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:20:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.